Subject: Re: bug#16579: 24.3.50; Implement system_process_attributes on Darwin

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 24 Feb 2016 14:29:34 +1100

Magnus Henoch <[email-masked]> writes:

> The attached patch implements system_process_attributes on Darwin / Mac
> OSX, and thus makes Proced show a list of processes on such systems.

[...]

> So I had another look at this, and realised that the patch looks
> pretty ugly, being all interleaved with the FreeBSD code... Here's
> another patch, that just adds a new section for Darwin.  I feel much
> better about it now.
>
> Any thoughts or objections?

It looks fine to me, and that sounds like useful functionality, but I
don't have access to any Darwin systems, so I can't even compile it.
Could somebody try applying it and see whether it (still) works?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no